> For the complete documentation index, see [llms.txt](https://docs.facephi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facephi.com/docs.facephi-en/rest-api/midapi-v2/face-collections/remove-face.md).

# Remove Face

Service that removes a face from a facial collection.

### Endpoint

```
DELETE /biometric/face/collections/{collectionId}/faces/{faceId}
```

### Headers

| Name              | Type   | Required | Description                                                                                                                |
| ----------------- | ------ | -------- | -------------------------------------------------------------------------------------------------------------------------- |
| **Authorization** | string | **Yes**  | Consumer Token in the format `Bearer <token>`. See [Authentication](/docs.facephi-en/rest-api/midapi-v2/autenticacion.md). |
| **consumer-id**   | string | **Yes**  | Consumer identifier.                                                                                                       |

### Path parameters

| Parameter      | Type   | Required | Description            |
| -------------- | ------ | -------- | ---------------------- |
| `collectionId` | string | **Yes**  | Collection identifier. |
| `faceId`       | string | **Yes**  | Face identifier.       |

### Responses

#### `204` No Content

The face was deleted successfully. The response has no body.

#### Other responses

| Code  | Description                                                     |
| ----- | --------------------------------------------------------------- |
| `401` | Missing, invalid, or expired Token.                             |
| `403` | The consumer is not provisioned with the service `REMOVE_FACE`. |

The body of an error response has the form described in [MIDAPI v2](/docs.facephi-en/rest-api/midapi-v2.md#respuestas-de-error).
